#include "SFBHWMisc.h"
#include "SFBWiring.h"
#include "SFBPrintf.h"

void facePrintTimestamp(u8 face) {
  u64 now = microseconds();
  u32 secs = (u32) (now/1000000);
  u32 ms = (u32) ((now%1000000)/1000);
  facePrintf(face,"%d.",secs);
  if (ms < 10)
    facePrintf(face,"00");
  else if (ms < 100) 
    facePrintf(face,"0");
  facePrintf(face,"%d",ms);
}

